# Generated by Django 2.2.7 on 2020-02-07 18:58

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('WSD_Game_Store', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='BoughtGame',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('high_score', models.IntegerField()),
                ('buyer', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('game', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='WSD_Game_Store.Game')),
            ],
        ),
    ]
